ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/lsys/configure
(Generate patch)

Comparing lsys/configure (file contents):
Revision 1.1 by root, Thu Nov 6 14:31:24 2008 UTC vs.
Revision 1.2 by root, Thu Apr 29 12:42:13 2010 UTC

651host_alias 651host_alias
652target_alias 652target_alias
653INSTALL_PROGRAM 653INSTALL_PROGRAM
654INSTALL_SCRIPT 654INSTALL_SCRIPT
655INSTALL_DATA 655INSTALL_DATA
656am__isrc
656CYGPATH_W 657CYGPATH_W
657PACKAGE 658PACKAGE
658VERSION 659VERSION
659ACLOCAL 660ACLOCAL
660AUTOCONF 661AUTOCONF
661AUTOMAKE 662AUTOMAKE
662AUTOHEADER 663AUTOHEADER
663MAKEINFO 664MAKEINFO
664AMTAR
665install_sh 665install_sh
666STRIP 666STRIP
667INSTALL_STRIP_PROGRAM 667INSTALL_STRIP_PROGRAM
668mkdir_p
668AWK 669AWK
669SET_MAKE 670SET_MAKE
670am__leading_dot 671am__leading_dot
672AMTAR
673am__tar
674am__untar
671CC 675CC
672CFLAGS 676CFLAGS
673LDFLAGS 677LDFLAGS
674CPPFLAGS 678CPPFLAGS
675ac_ct_CC 679ac_ct_CC
1291 cat <<\_ACEOF 1295 cat <<\_ACEOF
1292 1296
1293Optional Features: 1297Optional Features:
1294 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1298 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1295 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1299 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1296 --disable-dependency-tracking Speeds up one-time builds 1300 --disable-dependency-tracking speeds up one-time build
1297 --enable-dependency-tracking Do not reject slow dependency extractors 1301 --enable-dependency-tracking do not reject slow dependency extractors
1298 1302
1299Optional Packages: 1303Optional Packages:
1300 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1304 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
1301 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 1305 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1302 --with-x use the X Window System 1306 --with-x use the X Window System
1736ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 1740ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1737ac_compiler_gnu=$ac_cv_c_compiler_gnu 1741ac_compiler_gnu=$ac_cv_c_compiler_gnu
1738 1742
1739 1743
1740 1744
1741am__api_version="1.7" 1745am__api_version='1.10'
1746
1742ac_aux_dir= 1747ac_aux_dir=
1743for ac_dir in "$srcdir" "$srcdir/.." "$srcdir/../.."; do 1748for ac_dir in "$srcdir" "$srcdir/.." "$srcdir/../.."; do
1744 if test -f "$ac_dir/install-sh"; then 1749 if test -f "$ac_dir/install-sh"; then
1745 ac_aux_dir=$ac_dir 1750 ac_aux_dir=$ac_dir
1746 ac_install_sh="$ac_aux_dir/install-sh -c" 1751 ac_install_sh="$ac_aux_dir/install-sh -c"
1906s/[\\$]/&&/g;s/;s,x,x,$// 1911s/[\\$]/&&/g;s/;s,x,x,$//
1907_ACEOF 1912_ACEOF
1908program_transform_name=`echo $program_transform_name | sed -f conftest.sed` 1913program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
1909rm -f conftest.sed 1914rm -f conftest.sed
1910 1915
1911
1912# expand $ac_aux_dir to an absolute path 1916# expand $ac_aux_dir to an absolute path
1913am_aux_dir=`cd $ac_aux_dir && pwd` 1917am_aux_dir=`cd $ac_aux_dir && pwd`
1914 1918
1915test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing" 1919test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
1916# Use eval to expand $SHELL 1920# Use eval to expand $SHELL
1919else 1923else
1920 am_missing_run= 1924 am_missing_run=
1921 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5 1925 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5
1922echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;} 1926echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
1923fi 1927fi
1928
1929{ echo "$as_me:$LINENO: checking for a thread-safe mkdir -p" >&5
1930echo $ECHO_N "checking for a thread-safe mkdir -p... $ECHO_C" >&6; }
1931if test -z "$MKDIR_P"; then
1932 if test "${ac_cv_path_mkdir+set}" = set; then
1933 echo $ECHO_N "(cached) $ECHO_C" >&6
1934else
1935 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1936for as_dir in $PATH$PATH_SEPARATOR/opt/sfw/bin
1937do
1938 IFS=$as_save_IFS
1939 test -z "$as_dir" && as_dir=.
1940 for ac_prog in mkdir gmkdir; do
1941 for ac_exec_ext in '' $ac_executable_extensions; do
1942 { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; } || continue
1943 case `"$as_dir/$ac_prog$ac_exec_ext" --version 2>&1` in #(
1944 'mkdir (GNU coreutils) '* | \
1945 'mkdir (coreutils) '* | \
1946 'mkdir (fileutils) '4.1*)
1947 ac_cv_path_mkdir=$as_dir/$ac_prog$ac_exec_ext
1948 break 3;;
1949 esac
1950 done
1951 done
1952done
1953IFS=$as_save_IFS
1954
1955fi
1956
1957 if test "${ac_cv_path_mkdir+set}" = set; then
1958 MKDIR_P="$ac_cv_path_mkdir -p"
1959 else
1960 # As a last resort, use the slow shell script. Don't cache a
1961 # value for MKDIR_P within a source directory, because that will
1962 # break other packages using the cache if that directory is
1963 # removed, or if the value is a relative name.
1964 test -d ./--version && rmdir ./--version
1965 MKDIR_P="$ac_install_sh -d"
1966 fi
1967fi
1968{ echo "$as_me:$LINENO: result: $MKDIR_P" >&5
1969echo "${ECHO_T}$MKDIR_P" >&6; }
1970
1971mkdir_p="$MKDIR_P"
1972case $mkdir_p in
1973 [\\/$]* | ?:[\\/]*) ;;
1974 */*) mkdir_p="\$(top_builddir)/$mkdir_p" ;;
1975esac
1924 1976
1925for ac_prog in gawk mawk nawk awk 1977for ac_prog in gawk mawk nawk awk
1926do 1978do
1927 # Extract the first word of "$ac_prog", so it can be a program name with args. 1979 # Extract the first word of "$ac_prog", so it can be a program name with args.
1928set dummy $ac_prog; ac_word=$2 1980set dummy $ac_prog; ac_word=$2
2001else 2053else
2002 am__leading_dot=_ 2054 am__leading_dot=_
2003fi 2055fi
2004rmdir .tst 2>/dev/null 2056rmdir .tst 2>/dev/null
2005 2057
2058if test "`cd $srcdir && pwd`" != "`pwd`"; then
2059 # Use -I$(srcdir) only when $(srcdir) != ., so that make's output
2060 # is not polluted with repeated "-I."
2061 am__isrc=' -I$(srcdir)'
2006 # test to see if srcdir already configured 2062 # test to see if srcdir already configured
2007if test "`cd $srcdir && pwd`" != "`pwd`" &&
2008 test -f $srcdir/config.status; then 2063 if test -f $srcdir/config.status; then
2009 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5 2064 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
2010echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;} 2065echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
2011 { (exit 1); exit 1; }; } 2066 { (exit 1); exit 1; }; }
2067 fi
2012fi 2068fi
2013 2069
2014# test whether we have cygpath 2070# test whether we have cygpath
2015if test -z "$CYGPATH_W"; then 2071if test -z "$CYGPATH_W"; then
2016 if (cygpath --version) >/dev/null 2>/dev/null; then 2072 if (cygpath --version) >/dev/null 2>/dev/null; then
2021fi 2077fi
2022 2078
2023 2079
2024# Define the identity of the package. 2080# Define the identity of the package.
2025 PACKAGE=lsys 2081 PACKAGE=lsys
2026 VERSION=0.6 2082 VERSION=0.8
2027 2083
2028 2084
2029cat >>confdefs.h <<_ACEOF 2085cat >>confdefs.h <<_ACEOF
2030#define PACKAGE "$PACKAGE" 2086#define PACKAGE "$PACKAGE"
2031_ACEOF 2087_ACEOF
2049AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"} 2105AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
2050 2106
2051 2107
2052MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"} 2108MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
2053 2109
2054
2055AMTAR=${AMTAR-"${am_missing_run}tar"}
2056
2057install_sh=${install_sh-"$am_aux_dir/install-sh"} 2110install_sh=${install_sh-"\$(SHELL) $am_aux_dir/install-sh"}
2058 2111
2059# Installed binaries are usually stripped using `strip' when the user 2112# Installed binaries are usually stripped using `strip' when the user
2060# run `make install-strip'. However `strip' might not be the right 2113# run `make install-strip'. However `strip' might not be the right
2061# tool to use in cross-compilation environments, therefore Automake 2114# tool to use in cross-compilation environments, therefore Automake
2062# will honor the `STRIP' environment variable to overrule this program. 2115# will honor the `STRIP' environment variable to overrule this program.
2156else 2209else
2157 STRIP="$ac_cv_prog_STRIP" 2210 STRIP="$ac_cv_prog_STRIP"
2158fi 2211fi
2159 2212
2160fi 2213fi
2161INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s" 2214INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s"
2162 2215
2163# We need awk for the "check" target. The system "awk" is bad on 2216# We need awk for the "check" target. The system "awk" is bad on
2164# some platforms. 2217# some platforms.
2218# Always define AMTAR for backward compatibility.
2219
2220AMTAR=${AMTAR-"${am_missing_run}tar"}
2221
2222am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
2223
2224
2165 2225
2166 2226
2167 2227
2168 2228
2169ac_config_headers="$ac_config_headers config.h" 2229ac_config_headers="$ac_config_headers config.h"
3138 3198
3139if test "x$enable_dependency_tracking" != xno; then 3199if test "x$enable_dependency_tracking" != xno; then
3140 am_depcomp="$ac_aux_dir/depcomp" 3200 am_depcomp="$ac_aux_dir/depcomp"
3141 AMDEPBACKSLASH='\' 3201 AMDEPBACKSLASH='\'
3142fi 3202fi
3143
3144
3145if test "x$enable_dependency_tracking" != xno; then 3203 if test "x$enable_dependency_tracking" != xno; then
3146 AMDEP_TRUE= 3204 AMDEP_TRUE=
3147 AMDEP_FALSE='#' 3205 AMDEP_FALSE='#'
3148else 3206else
3149 AMDEP_TRUE='#' 3207 AMDEP_TRUE='#'
3150 AMDEP_FALSE= 3208 AMDEP_FALSE=
3151fi 3209fi
3152
3153 3210
3154 3211
3155 3212
3156depcc="$CC" am_compiler_list= 3213depcc="$CC" am_compiler_list=
3157 3214
3192 # overwrite some of them when testing with obscure command lines. 3249 # overwrite some of them when testing with obscure command lines.
3193 # This happens at least with the AIX C compiler. 3250 # This happens at least with the AIX C compiler.
3194 : > sub/conftest.c 3251 : > sub/conftest.c
3195 for i in 1 2 3 4 5 6; do 3252 for i in 1 2 3 4 5 6; do
3196 echo '#include "conftst'$i'.h"' >> sub/conftest.c 3253 echo '#include "conftst'$i'.h"' >> sub/conftest.c
3254 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
3255 # Solaris 8's {/usr,}/bin/sh.
3197 : > sub/conftst$i.h 3256 touch sub/conftst$i.h
3198 done 3257 done
3199 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 3258 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
3200 3259
3201 case $depmode in 3260 case $depmode in
3202 nosideeffect) 3261 nosideeffect)
3216 if depmode=$depmode \ 3275 if depmode=$depmode \
3217 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \ 3276 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
3218 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \ 3277 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
3219 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \ 3278 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
3220 >/dev/null 2>conftest.err && 3279 >/dev/null 2>conftest.err &&
3280 grep sub/conftst1.h sub/conftest.Po > /dev/null 2>&1 &&
3221 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 3281 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
3222 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 3282 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
3223 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 3283 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
3224 # icc doesn't choke on unknown options, it will just issue warnings 3284 # icc doesn't choke on unknown options, it will just issue warnings
3225 # (even with -Werror). So we grep stderr for any message 3285 # or remarks (even with -Werror). So we grep stderr for any message
3226 # that says an option was ignored. 3286 # that says an option was ignored or not supported.
3287 # When given -MP, icc 7.0 and 7.1 complain thusly:
3288 # icc: Command line warning: ignoring option '-M'; no argument required
3289 # The diagnosis changed in icc 8.0:
3290 # icc: Command line remark: option '-MP' not supported
3291 if (grep 'ignoring option' conftest.err ||
3227 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 3292 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
3228 am_cv_CC_dependencies_compiler_type=$depmode 3293 am_cv_CC_dependencies_compiler_type=$depmode
3229 break 3294 break
3230 fi 3295 fi
3231 fi 3296 fi
3232 done 3297 done
3240fi 3305fi
3241{ echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5 3306{ echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
3242echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; } 3307echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
3243CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type 3308CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
3244 3309
3245
3246
3247if 3310 if
3248 test "x$enable_dependency_tracking" != xno \ 3311 test "x$enable_dependency_tracking" != xno \
3249 && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then 3312 && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
3250 am__fastdepCC_TRUE= 3313 am__fastdepCC_TRUE=
3251 am__fastdepCC_FALSE='#' 3314 am__fastdepCC_FALSE='#'
3252else 3315else
4228 # overwrite some of them when testing with obscure command lines. 4291 # overwrite some of them when testing with obscure command lines.
4229 # This happens at least with the AIX C compiler. 4292 # This happens at least with the AIX C compiler.
4230 : > sub/conftest.c 4293 : > sub/conftest.c
4231 for i in 1 2 3 4 5 6; do 4294 for i in 1 2 3 4 5 6; do
4232 echo '#include "conftst'$i'.h"' >> sub/conftest.c 4295 echo '#include "conftst'$i'.h"' >> sub/conftest.c
4296 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
4297 # Solaris 8's {/usr,}/bin/sh.
4233 : > sub/conftst$i.h 4298 touch sub/conftst$i.h
4234 done 4299 done
4235 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 4300 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
4236 4301
4237 case $depmode in 4302 case $depmode in
4238 nosideeffect) 4303 nosideeffect)
4252 if depmode=$depmode \ 4317 if depmode=$depmode \
4253 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \ 4318 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
4254 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \ 4319 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
4255 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \ 4320 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
4256 >/dev/null 2>conftest.err && 4321 >/dev/null 2>conftest.err &&
4322 grep sub/conftst1.h sub/conftest.Po > /dev/null 2>&1 &&
4257 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 4323 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
4258 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 4324 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
4259 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 4325 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
4260 # icc doesn't choke on unknown options, it will just issue warnings 4326 # icc doesn't choke on unknown options, it will just issue warnings
4261 # (even with -Werror). So we grep stderr for any message 4327 # or remarks (even with -Werror). So we grep stderr for any message
4262 # that says an option was ignored. 4328 # that says an option was ignored or not supported.
4329 # When given -MP, icc 7.0 and 7.1 complain thusly:
4330 # icc: Command line warning: ignoring option '-M'; no argument required
4331 # The diagnosis changed in icc 8.0:
4332 # icc: Command line remark: option '-MP' not supported
4333 if (grep 'ignoring option' conftest.err ||
4263 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 4334 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
4264 am_cv_CXX_dependencies_compiler_type=$depmode 4335 am_cv_CXX_dependencies_compiler_type=$depmode
4265 break 4336 break
4266 fi 4337 fi
4267 fi 4338 fi
4268 done 4339 done
4276fi 4347fi
4277{ echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5 4348{ echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
4278echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6; } 4349echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6; }
4279CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type 4350CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
4280 4351
4281
4282
4283if 4352 if
4284 test "x$enable_dependency_tracking" != xno \ 4353 test "x$enable_dependency_tracking" != xno \
4285 && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then 4354 && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
4286 am__fastdepCXX_TRUE= 4355 am__fastdepCXX_TRUE=
4287 am__fastdepCXX_FALSE='#' 4356 am__fastdepCXX_FALSE='#'
4288else 4357else
5841 { echo "$as_me:$LINENO: result: $ANTLR_VER, but need 1.33MR33" >&5 5910 { echo "$as_me:$LINENO: result: $ANTLR_VER, but need 1.33MR33" >&5
5842echo "${ECHO_T}$ANTLR_VER, but need 1.33MR33" >&6; } 5911echo "${ECHO_T}$ANTLR_VER, but need 1.33MR33" >&6; }
5843 fi 5912 fi
5844fi 5913fi
5845 5914
5846
5847
5848if test -n "$HAVE_PCCTS"; then 5915 if test -n "$HAVE_PCCTS"; then
5849 HAVE_PCCTS_TRUE= 5916 HAVE_PCCTS_TRUE=
5850 HAVE_PCCTS_FALSE='#' 5917 HAVE_PCCTS_FALSE='#'
5851else 5918else
5852 HAVE_PCCTS_TRUE='#' 5919 HAVE_PCCTS_TRUE='#'
5853 HAVE_PCCTS_FALSE= 5920 HAVE_PCCTS_FALSE=
6589gives unlimited permission to copy, distribute and modify it." 6656gives unlimited permission to copy, distribute and modify it."
6590 6657
6591ac_pwd='$ac_pwd' 6658ac_pwd='$ac_pwd'
6592srcdir='$srcdir' 6659srcdir='$srcdir'
6593INSTALL='$INSTALL' 6660INSTALL='$INSTALL'
6661MKDIR_P='$MKDIR_P'
6594_ACEOF 6662_ACEOF
6595 6663
6596cat >>$CONFIG_STATUS <<\_ACEOF 6664cat >>$CONFIG_STATUS <<\_ACEOF
6597# If no file are specified by the user, then we need to provide default 6665# If no file are specified by the user, then we need to provide default
6598# value. By we need to know if files were specified by the user. 6666# value. By we need to know if files were specified by the user.
6796host_alias!$host_alias$ac_delim 6864host_alias!$host_alias$ac_delim
6797target_alias!$target_alias$ac_delim 6865target_alias!$target_alias$ac_delim
6798INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim 6866INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
6799INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 6867INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
6800INSTALL_DATA!$INSTALL_DATA$ac_delim 6868INSTALL_DATA!$INSTALL_DATA$ac_delim
6869am__isrc!$am__isrc$ac_delim
6801CYGPATH_W!$CYGPATH_W$ac_delim 6870CYGPATH_W!$CYGPATH_W$ac_delim
6802PACKAGE!$PACKAGE$ac_delim 6871PACKAGE!$PACKAGE$ac_delim
6803VERSION!$VERSION$ac_delim 6872VERSION!$VERSION$ac_delim
6804ACLOCAL!$ACLOCAL$ac_delim 6873ACLOCAL!$ACLOCAL$ac_delim
6805AUTOCONF!$AUTOCONF$ac_delim 6874AUTOCONF!$AUTOCONF$ac_delim
6806AUTOMAKE!$AUTOMAKE$ac_delim 6875AUTOMAKE!$AUTOMAKE$ac_delim
6807AUTOHEADER!$AUTOHEADER$ac_delim 6876AUTOHEADER!$AUTOHEADER$ac_delim
6808MAKEINFO!$MAKEINFO$ac_delim 6877MAKEINFO!$MAKEINFO$ac_delim
6809AMTAR!$AMTAR$ac_delim
6810install_sh!$install_sh$ac_delim 6878install_sh!$install_sh$ac_delim
6811STRIP!$STRIP$ac_delim 6879STRIP!$STRIP$ac_delim
6812INSTALL_STRIP_PROGRAM!$INSTALL_STRIP_PROGRAM$ac_delim 6880INSTALL_STRIP_PROGRAM!$INSTALL_STRIP_PROGRAM$ac_delim
6881mkdir_p!$mkdir_p$ac_delim
6813AWK!$AWK$ac_delim 6882AWK!$AWK$ac_delim
6814SET_MAKE!$SET_MAKE$ac_delim 6883SET_MAKE!$SET_MAKE$ac_delim
6815am__leading_dot!$am__leading_dot$ac_delim 6884am__leading_dot!$am__leading_dot$ac_delim
6885AMTAR!$AMTAR$ac_delim
6886am__tar!$am__tar$ac_delim
6887am__untar!$am__untar$ac_delim
6816CC!$CC$ac_delim 6888CC!$CC$ac_delim
6817CFLAGS!$CFLAGS$ac_delim 6889CFLAGS!$CFLAGS$ac_delim
6818LDFLAGS!$LDFLAGS$ac_delim 6890LDFLAGS!$LDFLAGS$ac_delim
6819CPPFLAGS!$CPPFLAGS$ac_delim 6891CPPFLAGS!$CPPFLAGS$ac_delim
6820ac_ct_CC!$ac_ct_CC$ac_delim 6892ac_ct_CC!$ac_ct_CC$ac_delim
6846HAVE_PCCTS_FALSE!$HAVE_PCCTS_FALSE$ac_delim 6918HAVE_PCCTS_FALSE!$HAVE_PCCTS_FALSE$ac_delim
6847LIBOBJS!$LIBOBJS$ac_delim 6919LIBOBJS!$LIBOBJS$ac_delim
6848LTLIBOBJS!$LTLIBOBJS$ac_delim 6920LTLIBOBJS!$LTLIBOBJS$ac_delim
6849_ACEOF 6921_ACEOF
6850 6922
6851 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then 6923 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
6852 break 6924 break
6853 elif $ac_last_try; then 6925 elif $ac_last_try; then
6854 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 6926 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
6855echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 6927echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
6856 { (exit 1); exit 1; }; } 6928 { (exit 1); exit 1; }; }
7073 7145
7074 case $INSTALL in 7146 case $INSTALL in
7075 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;; 7147 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
7076 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;; 7148 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
7077 esac 7149 esac
7150 ac_MKDIR_P=$MKDIR_P
7151 case $MKDIR_P in
7152 [\\/$]* | ?:[\\/]* ) ;;
7153 */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
7154 esac
7078_ACEOF 7155_ACEOF
7079 7156
7080cat >>$CONFIG_STATUS <<\_ACEOF 7157cat >>$CONFIG_STATUS <<\_ACEOF
7081# If the template does not know about datarootdir, expand it. 7158# If the template does not know about datarootdir, expand it.
7082# FIXME: This hack should be removed a few years after 2.60. 7159# FIXME: This hack should be removed a few years after 2.60.
7126s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t 7203s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
7127s&@builddir@&$ac_builddir&;t t 7204s&@builddir@&$ac_builddir&;t t
7128s&@abs_builddir@&$ac_abs_builddir&;t t 7205s&@abs_builddir@&$ac_abs_builddir&;t t
7129s&@abs_top_builddir@&$ac_abs_top_builddir&;t t 7206s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
7130s&@INSTALL@&$ac_INSTALL&;t t 7207s&@INSTALL@&$ac_INSTALL&;t t
7208s&@MKDIR_P@&$ac_MKDIR_P&;t t
7131$ac_datarootdir_hack 7209$ac_datarootdir_hack
7132" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out 7210" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
7133 7211
7134test -z "$ac_datarootdir_hack$ac_datarootdir_seen" && 7212test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
7135 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } && 7213 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
7241 echo "/* $configure_input */" 7319 echo "/* $configure_input */"
7242 cat "$ac_result" 7320 cat "$ac_result"
7243 fi 7321 fi
7244 rm -f "$tmp/out12" 7322 rm -f "$tmp/out12"
7245# Compute $ac_file's index in $config_headers. 7323# Compute $ac_file's index in $config_headers.
7324_am_arg=$ac_file
7246_am_stamp_count=1 7325_am_stamp_count=1
7247for _am_header in $config_headers :; do 7326for _am_header in $config_headers :; do
7248 case $_am_header in 7327 case $_am_header in
7249 $ac_file | $ac_file:* ) 7328 $_am_arg | $_am_arg:* )
7250 break ;; 7329 break ;;
7251 * ) 7330 * )
7252 _am_stamp_count=`expr $_am_stamp_count + 1` ;; 7331 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
7253 esac 7332 esac
7254done 7333done
7255echo "timestamp for $ac_file" >`$as_dirname -- $ac_file || 7334echo "timestamp for $_am_arg" >`$as_dirname -- "$_am_arg" ||
7256$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 7335$as_expr X"$_am_arg" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
7257 X$ac_file : 'X\(//\)[^/]' \| \ 7336 X"$_am_arg" : 'X\(//\)[^/]' \| \
7258 X$ac_file : 'X\(//\)$' \| \ 7337 X"$_am_arg" : 'X\(//\)$' \| \
7259 X$ac_file : 'X\(/\)' \| . 2>/dev/null || 7338 X"$_am_arg" : 'X\(/\)' \| . 2>/dev/null ||
7260echo X$ac_file | 7339echo X"$_am_arg" |
7261 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ 7340 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
7262 s//\1/ 7341 s//\1/
7263 q 7342 q
7264 } 7343 }
7265 /^X\(\/\/\)[^/].*/{ 7344 /^X\(\/\/\)[^/].*/{
7290 # Check whether this is an Automake generated Makefile or not. 7369 # Check whether this is an Automake generated Makefile or not.
7291 # We used to match only the files named `Makefile.in', but 7370 # We used to match only the files named `Makefile.in', but
7292 # some people rename them; so instead we look at the file content. 7371 # some people rename them; so instead we look at the file content.
7293 # Grep'ing the first line is not enough: some people post-process 7372 # Grep'ing the first line is not enough: some people post-process
7294 # each Makefile.in and add a new line on top of each file to say so. 7373 # each Makefile.in and add a new line on top of each file to say so.
7295 # So let's grep whole file. 7374 # Grep'ing the whole file is not good either: AIX grep has a line
7375 # limit of 2048, but all sed's we know have understand at least 4000.
7296 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then 7376 if sed -n 's,^#.*generated by automake.*,X,p' "$mf" | grep X >/dev/null 2>&1; then
7297 dirpart=`$as_dirname -- "$mf" || 7377 dirpart=`$as_dirname -- "$mf" ||
7298$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 7378$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
7299 X"$mf" : 'X\(//\)[^/]' \| \ 7379 X"$mf" : 'X\(//\)[^/]' \| \
7300 X"$mf" : 'X\(//\)$' \| \ 7380 X"$mf" : 'X\(//\)$' \| \
7301 X"$mf" : 'X\(/\)' \| . 2>/dev/null || 7381 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
7318 } 7398 }
7319 s/.*/./; q'` 7399 s/.*/./; q'`
7320 else 7400 else
7321 continue 7401 continue
7322 fi 7402 fi
7323 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue 7403 # Extract the definition of DEPDIR, am__include, and am__quote
7324 # Extract the definition of DEP_FILES from the Makefile without 7404 # from the Makefile without running `make'.
7325 # running `make'.
7326 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"` 7405 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
7327 test -z "$DEPDIR" && continue 7406 test -z "$DEPDIR" && continue
7407 am__include=`sed -n 's/^am__include = //p' < "$mf"`
7408 test -z "am__include" && continue
7409 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
7328 # When using ansi2knr, U may be empty or an underscore; expand it 7410 # When using ansi2knr, U may be empty or an underscore; expand it
7329 U=`sed -n -e '/^U = / s///p' < "$mf"` 7411 U=`sed -n 's/^U = //p' < "$mf"`
7330 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR" 7412 # Find all dependency output files, they are included files with
7331 # We invoke sed twice because it is the simplest approach to 7413 # $(DEPDIR) in their names. We invoke sed twice because it is the
7332 # changing $(DEPDIR) to its actual value in the expansion. 7414 # simplest approach to changing $(DEPDIR) to its actual value in the
7415 # expansion.
7333 for file in `sed -n -e ' 7416 for file in `sed -n "
7334 /^DEP_FILES = .*\\\\$/ { 7417 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
7335 s/^DEP_FILES = //
7336 :loop
7337 s/\\\\$//
7338 p
7339 n
7340 /\\\\$/ b loop
7341 p
7342 }
7343 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
7344 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do 7418 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
7345 # Make sure the directory exists. 7419 # Make sure the directory exists.
7346 test -f "$dirpart/$file" && continue 7420 test -f "$dirpart/$file" && continue
7347 fdir=`$as_dirname -- "$file" || 7421 fdir=`$as_dirname -- "$file" ||
7348$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 7422$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines